// http://www.cocos2d-iphone.org

#ifdef GL_ES
precision lowp float;
#endif
uniform vec2 center;
varying vec2 v_texCoord;
uniform sampler2D CC_Texture0;

const vec2 mystep = vec2(0.024, 0.008);

void main(void)
{
	float time = CC_Time[1];
	float test = mod(time,2.0);
	float test2 = mod(time,1.0);
	
//	vec2 p = gl_FragCoord.xy - center.xy;
//	if(center.x>0.5)
//	{
//		gl_FragColor = texture2D(CC_Texture0, v_texCoord);
//	}
//	else
//	{
	
	vec3 color = texture2D(CC_Texture0, v_texCoord).rgb;
    
    float weight = 30.0;
	
    float assess = pow(texture2D(CC_Texture0, v_texCoord).a, 3.0)*weight;
    
    float alpha = assess;
	
    alpha += texture2D( CC_Texture0, v_texCoord.st + vec2( -3.0*mystep.x*(0.5-test2), -3.0*mystep.y*(0.5-test2) ) ).a;
	alpha += texture2D( CC_Texture0, v_texCoord.st + vec2( -2.0*mystep.x*(0.5-test2), -2.0*mystep.y*(0.5-test2) ) ).a;
	alpha += texture2D( CC_Texture0, v_texCoord.st + vec2( -1.0*mystep.x*(0.5-test2), -1.0*mystep.y*(0.5-test2) ) ).a;
	
	alpha += texture2D( CC_Texture0, v_texCoord.st + vec2( 0.0 , 0.0) ).a;
	
	alpha += texture2D( CC_Texture0, v_texCoord.st + vec2( 1.0*mystep.x*(0.5-test2),  1.0*mystep.y*(0.5-test2) ) ).a;
	alpha += texture2D( CC_Texture0, v_texCoord.st + vec2( 2.0*mystep.x*(0.5-test2),  2.0*mystep.y*(0.5-test2) ) ).a;
	alpha += texture2D( CC_Texture0, v_texCoord.st + vec2( 3.0*mystep.x*(0.5-test2),  3.0*mystep.y*(0.5-test2) ) ).a;
	
	alpha += texture2D( CC_Texture0, v_texCoord.st + vec2( -3.0*mystep.x*(0.5-test2), 3.0*mystep.y*(0.5-test2) ) ).a;
	alpha += texture2D( CC_Texture0, v_texCoord.st + vec2( -2.0*mystep.x*(0.5-test2), 2.0*mystep.y*(0.5-test2) ) ).a;
	alpha += texture2D( CC_Texture0, v_texCoord.st + vec2( -1.0*mystep.x*(0.5-test2), 1.0*mystep.y*(0.5-test2) ) ).a;
	alpha += texture2D( CC_Texture0, v_texCoord.st + vec2( 1.0*mystep.x*(0.5-test2),  -1.0*mystep.y*(0.5-test2) ) ).a;
	alpha += texture2D( CC_Texture0, v_texCoord.st + vec2( 2.0*mystep.x*(0.5-test2),  -2.0*mystep.y*(0.5-test2) ) ).a;
	alpha += texture2D( CC_Texture0, v_texCoord.st + vec2( 3.0*mystep.x*(0.5-test2),  -3.0*mystep.y*(0.5-test2) ) ).a;
	
	alpha += texture2D( CC_Texture0, v_texCoord.st + vec2( 0.0, 3.0*mystep.y*(0.5-test2) ) ).a;
	alpha += texture2D( CC_Texture0, v_texCoord.st + vec2( 0.0, 2.0*mystep.y*(0.5-test2) ) ).a;
	alpha += texture2D( CC_Texture0, v_texCoord.st + vec2( 0.0, 1.0*mystep.y*(0.5-test2) ) ).a;
	alpha += texture2D( CC_Texture0, v_texCoord.st + vec2( 0.0, -1.0*mystep.y*(0.5-test2) ) ).a;
	alpha += texture2D( CC_Texture0, v_texCoord.st + vec2( 0.0, -2.0*mystep.y*(0.5-test2) ) ).a;
	alpha += texture2D( CC_Texture0, v_texCoord.st + vec2( 0.0, -3.0*mystep.y*(0.5-test2) ) ).a;
	
	alpha += texture2D( CC_Texture0, v_texCoord.st + vec2( -3.0*mystep.x*(0.5-test2), 0.0 ) ).a;
	alpha += texture2D( CC_Texture0, v_texCoord.st + vec2( -2.0*mystep.x*(0.5-test2), 0.0 ) ).a;
	alpha += texture2D( CC_Texture0, v_texCoord.st + vec2( -1.0*mystep.x*(0.5-test2), 0.0 ) ).a;
	alpha += texture2D( CC_Texture0, v_texCoord.st + vec2( 1.0*mystep.x*(0.5-test2),  0.0 ) ).a;
	alpha += texture2D( CC_Texture0, v_texCoord.st + vec2( 2.0*mystep.x*(0.5-test2),  0.0 ) ).a;
	alpha += texture2D( CC_Texture0, v_texCoord.st + vec2( 3.0*mystep.x*(0.5-test2),  0.0 ) ).a;
	alpha /= 25.0+assess;

    color = clamp(color + (alpha-1), 0, 1.0);

//   gl_FragColor = texture2D(CC_Texture0, v_texCoord);
		if(alpha<=0.5&&alpha>0)
		{
			gl_FragColor = vec4(color.r, color.g+1.0*alpha, color.b, alpha);
		}
		else
		{
            gl_FragColor = vec4(color.r, color.g, color.b, alpha);
		}

//	}
	
}